## org.codehaus.groovy.util
Class AbstractConcurrentDoubleKeyMap<K1,K2,V>

    java.lang.Object
      org.codehaus.groovy.util.AbstractConcurrentMapBase
          org.codehaus.groovy.util.AbstractConcurrentDoubleKeyMap<K1,K2,V>

Direct Known Subclasses:
  ManagedDoubleKeyMap

    public abstract class AbstractConcurrentDoubleKeyMap<K1,K2,V>

extends AbstractConcurrentMapBase

Field Summary

Fields inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase
`MAXIMUM_CAPACITY, segments`

Constructor Summary
`AbstractConcurrentDoubleKeyMap(Object segmentInfo)`

Method Summary
`V` `get(K1 key1, K2 key2)`
`org.codehaus.groovy.util.AbstractConcurrentDoubleKeyMap.Entry<K1,K2,V>` `getOrPut(K1 key1, K2 key2, V value)`
`void` `put(K1 key1, K2 key2, V value)`
`void` `remove(K1 key1, K2 key2)`
`org.codehaus.groovy.util.AbstractConcurrentDoubleKeyMap.Segment<K1,K2,V>` `segmentFor(int hash)`

Methods inherited from class org.codehaus.groovy.util.AbstractConcurrentMapBase
`createSegment, fullSize, hash, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractConcurrentDoubleKeyMap

    public AbstractConcurrentDoubleKeyMap(Object segmentInfo)

Method Detail

### get

    public V get(K1 key1,
                 K2 key2)

### getOrPut

    public org.codehaus.groovy.util.AbstractConcurrentDoubleKeyMap.Entry<K1,K2,V> getOrPut(K1 key1,
                                                                                           K2 key2,
                                                                                           V value)

### put

    public void put(K1 key1,
                    K2 key2,
                    V value)

### remove

    public void remove(K1 key1,
                       K2 key2)

### segmentFor

    public final org.codehaus.groovy.util.AbstractConcurrentDoubleKeyMap.Segment<K1,K2,V> segmentFor(int hash)

  Overrides:
    `segmentFor` in class `AbstractConcurrentMapBase`

Copyright © 2003-2009 The Codehaus. All rights reserved.